#include <stdio.h>
#include <tpro.h>
#include <ddtpro.h>


/*==========================================================================
  TPRO_simEvent
==========================================================================*/

unsigned char TPRO_simEvent (TPRO_BoardObj *hnd)
{
  unsigned char sim = 1;
  int err;


  // make sure we have valid handle
  if (hnd == NULL) {
    return (TPRO_HANDLE_ERR);
  }

  /**
  ***  create I/O control
  **/

  err = ioctl(hnd->file_descriptor, IOCTL_TPRO_SIM_EVENT, &sim);
  if (err < 0)	return (TPRO_COMM_ERR);

  return (TPRO_SUCCESS);
}
